ManagedLlvmScannerInfoConsoleParser
Date: 2011-05-02

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.cdt.managedbuilder.llvm.scannerconfig
Class ManagedLlvmScannerInfoConsoleParser

    java.lang.Object
      org.eclipse.cdt.make.internal.core.scannerconfig.gnu.AbstractGCCBOPConsoleParser
          org.eclipse.cdt.make.internal.core.scannerconfig.gnu.GCCScannerInfoConsoleParser
              org.eclipse.cdt.managedbuilder.llvm.scannerconfig.ManagedLlvmScannerInfoConsoleParser

All Implemented Interfaces:
  org.eclipse.cdt.core.IConsoleParser, org.eclipse.cdt.make.core.scannerconfig.IScannerInfoConsoleParser

    public class ManagedLlvmScannerInfoConsoleParser

extends org.eclipse.cdt.make.internal.core.scannerconfig.gnu.GCCScannerInfoConsoleParser

Copy/pasted from org.eclipse.cdt.managedbuilder.internal.scannerconfig.ManagedGCCScannerInfoConsoleParser because that class cannot be referenced to due to restrictions in the exported packages definition. TODO: Javadoc comments

Field Summary
`private java.lang.Boolean` | `fManagedBuildOnState`

Fields inherited from class org.eclipse.cdt.make.internal.core.scannerconfig.gnu.AbstractGCCBOPConsoleParser
`DASHD, DASHI, DASHIDASH`

Constructor Summary
`ManagedLlvmScannerInfoConsoleParser()`

Method Summary
`protected boolean` | `doCalcManagedBuildOnState()`
`protected boolean` | `isManagedBuildOn()`
`boolean` | `processLine(java.lang.String line)`
`void` | `shutdown()`
`void` | `startup(org.eclipse.core.resources.IProject project, org.eclipse.cdt.make.core.scannerconfig.IScannerInfoCollector collector)`

Methods inherited from class org.eclipse.cdt.make.internal.core.scannerconfig.gnu.GCCScannerInfoConsoleParser
`getUtility, processCommand, setDefaultMacroDefinitionValue, startup`

Methods inherited from class org.eclipse.cdt.make.internal.core.scannerconfig.gnu.AbstractGCCBOPConsoleParser
`findCompilerInvocation, getCollector, getProject, processSingleLine, tokenize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fManagedBuildOnState

    private java.lang.Boolean fManagedBuildOnState

Constructor Detail

### ManagedLlvmScannerInfoConsoleParser

    public ManagedLlvmScannerInfoConsoleParser()

Method Detail

### processLine

    public boolean processLine(java.lang.String line)

  Specified by:
    `processLine` in interface `org.eclipse.cdt.core.IConsoleParser`
  Overrides:
    `processLine` in class `org.eclipse.cdt.make.internal.core.scannerconfig.gnu.AbstractGCCBOPConsoleParser`
  Parameters:
    `line` - String
  Returns:
    boolean

### shutdown

    public void shutdown()

  Specified by:
    `shutdown` in interface `org.eclipse.cdt.core.IConsoleParser`
  Overrides:
    `shutdown` in class `org.eclipse.cdt.make.internal.core.scannerconfig.gnu.AbstractGCCBOPConsoleParser`

### startup

    public void startup(org.eclipse.core.resources.IProject project,
                        org.eclipse.cdt.make.core.scannerconfig.IScannerInfoCollector collector)

  Overrides:
    `startup` in class `org.eclipse.cdt.make.internal.core.scannerconfig.gnu.AbstractGCCBOPConsoleParser`
  Parameters:
    `project` - IProject
    `collector` - IScannerInfoCollector

### isManagedBuildOn

    protected boolean isManagedBuildOn()

  Returns:
    boolean

### doCalcManagedBuildOnState

    protected boolean doCalcManagedBuildOnState()

  Returns:
    boolean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD